function [num,den] = addz(num,den)

% function [num,den]=addz(num,den) 
% add leading zero to num or den to have equal length 
% This will allow matrix manipulationof num(s) and den(s)

% Sept 20,96
% June 24,2004

if nargin == 0  
   disp('USAGE:  [num,den] = addz(num,den)')
   return
   elseif nargin < 2
   error('Incorrect number of input arguments!!')
end
len = length(den) - length(num);
zero = zeros([1,abs(len)]);  % pad zeros for either numerators or denominators
if len > 0, 
   num = [zero num];
else
   den = [zero den];
end
