function pkreg(range)

% function pkreg(range) displays all stable k ranges
% on the command line
  
% 96 May 27,28,29,30 June 3, 17
% 2004 august 23

if nargin == 0
    disp('USAGE : pkreg(range)')
    return
end
k = '  <  k  <  '; 
disp(' ');
disp('stable k range');

len = size(range,1);
if len ~= 0, 
   for x=1: len  
      k1 = num2str(range(x,1));
      k2 = num2str(range(x,2));
      disp([k1, k, k2]);
  end
else
   disp('all k are unstable');
end
