function [Gmin1,Gmin2,w1,w2,s]=fdw1w2(reT,imT,wmin)

% function [Gmin1,Gmin2,w1,w2,s]=fdw1w2(reT,imT,wmin) attempts to locate 2 most 
% left points.  The 2 points could be above/below or all above or all below 

% 97 Oct 22,30 98 May13
%2004 August 30

if nargin == 0
    disp('USAGE : [Gmin1,Gmin2,w1,w2,s]=fdw1w2(reT,imT,wmin)')
    return
elseif nargin < 3
    error('wrong number of input arguments')
end
ind_above=find(imT>0);
ind_below=find(imT<0);
w_above=wmin(ind_above);
w_below=wmin(ind_below);
reT_above=reT(ind_above);
reT_below=reT(ind_below);

if ~isempty(reT_above),
   i_above=find(reT_above==min(reT_above));
end

if ~isempty(reT_below),   
   i_below=find(reT_below==min(reT_below));
end

if ~isempty(ind_above) & ~isempty(ind_below),
   w1=w_above(i_above);
   w2=w_below(i_below);
   Gmin1=reT_above(i_above);
   Gmin2=reT_below(i_below);
% locate two most left point below   
elseif isempty(ind_above)
   w1=wmin(i_below);
   Gmin1=reT_below(i_below);
   % delete the existing one to find the second min(re_below)
   isempty(reT_below(i_below));
   i_below=find(reT_below==min(reT_below));
   w2=wmin(i_below);
   Gmin2=reT_below(i_below);
% locate two most left point above
else
   w1=wmin(i_above);
   Gmin1=reT_above(i_above);
   % delete the existing one to find the second min(re_above)
   isempty(reT_above(i_above));
   i_above=find(reT_above==min(reT_above));
   w2=wmin(i_above);
   Gmin2=reT_above(i_above);
end
   
% store this case in variable s
if ~isempty(ind_above) & ~isempty(ind_below),
   s=1;
else
   s=0;
end

   
   
